Bug 1312276 - IPA view: view name not stored properly with default FreeIPA installation
IPA view: view name not stored properly with default FreeIPA installation
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: SSSD Maintainers
Steeve Goveas
: Reopened
Depends On:
Blocks: 1329647
  Show dependency treegraph
 
Reported: 2016-02-26 05:14 EST by Jakub Hrozek
Modified: 2016-10-19 04:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1329647 (view as bug list)
Environment:
Last Closed: 2016-07-14 17:10:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2016-02-26 05:14:02 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2960

If the idview feature of FreeIPA is use with running ipa-adtrust-install on the server, i.e. after a default installation, SSSD cannot save the applied view name to the cache and only returns the default view for IPA users and groups.

This issue was reported originally in https://www.redhat.com/archives/freeipa-users/2016-February/msg00148.html
Comment 1 Jakub Hrozek 2016-02-26 06:07:46 EST
Fixed upstream:
    master:
        b5d48539966aefbea703377ba2ebcb67f9cf88b8
        b25d33b0a775e2337014a334699156ac56b08f9b 
    sssd-1-13:
        022e4575980324c2c68a05b3f250bd1a72bc9885
        1d4d3f15b5cb9b9ffad521ddea0b1e3660587816
Comment 2 Jakub Hrozek 2016-03-02 04:30:58 EST
To test, please make sure that id views work correctly even for IPA users on a server that does not have a trust relationship established towards an AD domain.
Comment 3 Mike McCune 2016-03-28 19:37:25 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Lukas Slebodnik 2016-04-19 07:29:02 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2993
Comment 5 Jakub Hrozek 2016-04-22 13:02:41 EDT
Additional fix:
    master: 57d8b4b9254442a568838cb60ea16068965f2df0
    sssd-1-13: e5fbaf42f87725e42a40e542c06d5f4cdf4c52c2
Comment 7 RHEL Product and Program Management 2016-06-23 11:56:20 EDT
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 8 Lukas Slebodnik 2016-06-23 13:20:07 EDT
I do not think this bug should be closed as won't fix. Patch is available in upstream
Comment 10 Jakub Hrozek 2016-07-14 17:10:14 EDT
This bug was fixed during 7.4 rebase.
Comment 11 Jakub Hrozek 2016-07-14 17:10:42 EDT
I meant 7.3 rebase, sorry.
Comment 12 Luc de Louw 2016-10-14 09:33:57 EDT
Workaround for RHEL 7.2:

Install AD Trust and run it even if you don't plan to use AD trust at all:

# yum -y install ipa-server-trust-ad
# ipa-adtrust-install
Comment 13 Lukas Slebodnik 2016-10-19 03:27:16 EDT
The bug is closed, but who will test it?
Comment 14 Jakub Hrozek 2016-10-19 04:36:58 EDT
(In reply to Lukas Slebodnik from comment #13)
> The bug is closed, but who will test it?

Note that its RHEL-6 clone will be tested during 6.9 testing phase:
https://bugzilla.redhat.com/show_bug.cgi?id=1329647

Note You need to log in before you can comment on or make changes to this bug.